package esercitazione5es1;

import static org.junit.Assert.*;

import org.junit.Test;

public class FunctionalityBased {

    //testo il caso 0 soluzioni
	@Test
	public void test1() {
	
	int b=1;
	int a=3;
	int c=4;
	Equazioni e1= new Equazioni();
	assertEquals(0,e1.numsolutions(a, b, c));
	}

	//testo il caso 2 soluzioni
	@Test
	public void test2() {
		int b=5;
		int a=1;
		int c=1;
		Equazioni e1= new Equazioni();
		assertEquals(2,e1.numsolutions(a, b, c));
	}
	
	//testo il caso 1 soluzione
	@Test
	public void test3() {
		int b=4;
		int a=1;
		int c=4;
		Equazioni e1= new Equazioni();
		assertEquals(1,e1.numsolutions(a, b, c));
	}
}
